Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.PrintRendererConfigurator
                  org.apache.fop.render.afp.AFPRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator, RendererConfigurator

public class AFPRendererConfigurator
extends PrintRendererConfigurator
implements IFDocumentHandlerConfigurator

AFP Renderer configurator

Field Summary

Fields inherited from class org.apache.fop.render.PrintRendererConfigurator
`log`

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`AFPRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` | `configure(Renderer renderer)` Configure the AFP renderer.
`void` | `setupFontInfo(IFDocumentHandler documentHandler, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`buildFontList`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPRendererConfigurator

    public AFPRendererConfigurator(FOUserAgent userAgent)

  Default constructor

Parameters:
  `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)
                   throws FOPException

  Configure the AFP renderer.

  Specified by:
    `configure` in interface `RendererConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `renderer` - AFP renderer
  Throws:
    `FOPException` - fop exception
  See Also:
    `PrintRendererConfigurator.configure(Renderer)`

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Throws:
    `FOPException`

### setupFontInfo

    public void setupFontInfo(IFDocumentHandler documentHandler,
                              FontInfo fontInfo)
                       throws FOPException

  Sets up the `FontInfo` object for the IFDocumentHandler.

  Specified by:
    `setupFontInfo` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `setupFontInfo` in class `PrintRendererConfigurator`
  Throws:
    `FOPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.